Get basic build, version, and cluster information.
In Serverless,
version.numberalways reports the next target Elasticsearch release version at the time of the request. Serverless does not track to a traditional release versioning model; it is continuously updated. The version number is provided to maintain compatibility with existing clients, but it is not meaningful for assessing feature availability. Clients should detect a Serverless environment by checking forbuild_flavor: serverless.
Required authorization
- Cluster privileges:
monitor
GET
/
Console
GET /
resp = client.info()
const response = await client.info();
response = client.info
$resp = $client->info();
curl -X GET -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/"
client.info();
Response examples (200)
Stack response
A successful response from `GET /`.
{
"name": "instance-0000000000",
"cluster_name": "my_test_cluster",
"cluster_uuid": "zk-HjQtYQGyL3NFSSu7InA",
"version": {
"number": "9.1.0",
"build_flavor": "default",
"build_type": "docker",
"build_hash": 0,
"build_date": "2025-07-09T22:10:13.578Z",
"build_snapshot": false,
"lucene_version": "10.2.2",
"minimum_wire_compatibility_version": "8.19.0",
"minimum_index_compatibility_version": "8.0.0"
},
"tagline": "You Know, for Search"
}
A successful response from `GET /` on Serverless. The `version.number` shown here is illustrative; Serverless always reports the next target Elasticsearch release version at the time of the request, so the actual value will differ from this example.
{
"name": "serverless",
"cluster_name": "my_test_serverless_cluster",
"cluster_uuid": "8xx0pi24Squnf4PFDOAtwg",
"version": {
"number": "9.4.0",
"build_flavor": "serverless",
"build_type": "docker",
"build_hash": "6b73650b7c4192d4a7ef1d75a368dad7d28f1ae0",
"build_date": "2026-03-31T12:25:05.021Z",
"build_snapshot": false,
"lucene_version": "10.4.0",
"minimum_wire_compatibility_version": "9.4.0",
"minimum_index_compatibility_version": "9.4.0"
},
"tagline": "You Know, for Search"
}